package com.hwrj.cloud.portal.service;

import com.github.pagehelper.PageInfo;
import com.hwrj.cloud.portal.dao.OmsPreItemDao;
import com.hwrj.cloud.portal.model.OmsPreItem;

import java.util.List;

public interface OmsPreItemService {
    /**
     * 添加预购信息详情
     * @param omsPreItem
     */
    public void addOmsPreItem(OmsPreItem omsPreItem);

    /**
     * 根据预购id查看预购信息详情
     * @param preId
     */
    public OmsPreItem getOmsPreItemDetail(Long preId);


    /**
     * 查看当前人的有意向的信息
     */
    public List<OmsPreItemDao> getOmsPreItemListOwn(Long id, int pageSize, int pageNo);

    /**
     * 查看当前人的有意向的信息
     *获取当前人的其他人有意向的信息
     */
    public List<OmsPreItemDao> getOmsPreItemListOther(Long id, int pageSize, int pageNo);

    public List<OmsPreItem> getOmsPreByMyAndProductId(Long proId,Long memberId);



}
